[solved] Deluge 1.3.14 upgrade, libtorrent version, and web console issue

General support for any problems installing or running Deluge
shamael
Seeder
Seeder
Posts: 153
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

[solved] Deluge 1.3.14 upgrade, libtorrent version, and web console issue

Postby shamael » Tue Mar 07, 2017 9:57 am

Hi all,

Having in mind a further upgrade of Deluge to 1.3.14 I would like some advice about the libtorrent version to use and the compatibility with ltconfig.
The Windows version 1.3.14 is packaged, if I'm not wrong, with libtorrent 1.0.11. Is this the preferred version or the last libtorrent 1.1.2 is compatible on linux?

Any idea if the combo Deluge 1.3.14/libtorrent 1.1.2 is compatible with ltconfig plugin?

Thx for the feedback
Last edited by shamael on Fri Mar 10, 2017 10:49 am, edited 3 times in total.

Cas
Top Bloke
Top Bloke
Posts: 3280
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Deluge 1.3.14, libtorrent version, and LTconfig

Postby Cas » Tue Mar 07, 2017 11:32 pm

There were some major compatibility issues with the first 1.1.0 release and 1.1.1 fixed those. With 1.1.2 smaller bugs have been addressed so it is more backward compatible and will work with Deluge 1.3 but it took a lot of work with arvid and myself to ensure that.

I recommend 1.0.11 because it is stable and known to work plus there will be no more changes to the Deluge 1.3 code if more issues show up in 1.1.x. Oh yeah the latest linux distros are using lt 1.1.1 without any recent issues, which will hopefully continue with 1.1.2.

As far as ltconfig goes, it should work fine with 1.1.x as the old lt session settings methods still exist.

What would be good is to incorporate the ltconfig plugin as a supplied plugin with Deluge but this would be for develop code and for that to happen it would need to support the new lt settings_pack. With new updates in lt 1.1.2 it might be easier to do this however additional changes to Deluge core code are required. So it's still just an idea... :)

shamael
Seeder
Seeder
Posts: 153
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Deluge 1.3.14, libtorrent version, and LTconfig

Postby shamael » Wed Mar 08, 2017 9:30 am

Hi Cas,

Thank you for the complete answer. All I read since the 1st post leads to your answer and I plan to stick to 1.0.11 version. I'm currently compiling this version and Deluge 1.3.14 as test purpose on virtual machine, arm deb file will be available soon if anyone is interested.

The integration of ltconfig as native Deluge plugins would be great! I promote this plugin on all Deluge installation I do, the performance gap is huge even on my small ARM device. The author seems ready to have a look on 1.1.X compatibility http://forum.deluge-torrent.org/viewtopic.php?p=225929#p225929

Cas
Top Bloke
Top Bloke
Posts: 3280
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Deluge 1.3.14, libtorrent version, and LTconfig

Postby Cas » Wed Mar 08, 2017 12:12 pm

What is the arm arch because I have updated the PPA with armhf and trusty has been built

shamael
Seeder
Seeder
Posts: 153
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Deluge 1.3.14, libtorrent version, and LTconfig

Postby shamael » Wed Mar 08, 2017 3:58 pm

The same one, never used the PPA because it's for Ubuntu and most of time Debian do not recommend to use Ubuntu package. Of course if you see no issue I will drastically ease the installation....

Ubuntu trusty match the Jessie Debian build you're right, will give it a try for libtorrent+Deluge

shamael
Seeder
Seeder
Posts: 153
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Deluge 1.3.14 upgrade, libtorrent version, and LTconfig

Postby shamael » Fri Mar 10, 2017 10:47 am

A feedback+issue I faced to.

As reminder the test here was to remove a self-compiled Deluge/libtorrent and install it from PPA. I guess many of you did it this way already for for the other...And how to solve the issue I faced with the deluge web console prompting for the password all the time. The popup to change the password was well there but in the background of the password prompt, not selectable for any browsers I tested.

Update Deluge from PPA on Debian Jessie

I made my previous startup config with http://dev.deluge-torrent.org/wiki/UserGuide/Service/systemd so starting the systemd services was not a problem and all my settings (plugin,config, etc) remained untouched, stored in the home folder of user deluge. Here comes the web console issue described above and an highlight of my missing steps: installing the package and start the services with the already configured systemd service leads to reusing the previous auth file containing the localservice key.

Steps to add in case using the systemd wiki and upgrade:
-stop all running instance of deluged/deluge-service
- as your regular logon user start deluged with

Code: Select all

deluged

- kill the process

Code: Select all

pkill deluged

- open the new .config/deluge/auth file created in your home folder and copy the ID to /var/lib/deluge/.config/deluge/auth
It's the 1st line of the auth file similar to

Code: Select all

localclient:XXXXXXXXXXXXXXXXXXXXX:10
.
- Copy the same ID in /var/lib/deluge/.config/deluge/hostlist.conf.1.2

Code: Select all

{
  "file": 1,
  "format": 1
}{
  "hosts": [
    [
      "XXXXXXXXXXXXXXXXXXXXX",
      "127.0.0.1",
      58846,
      "",
      ""
    ]
  ]
}


- restart services

I was then able to logon the webserver and change the password. Dumb error, nothing new but maybe a handy reminder if anyone face the same problem

About the removal of the self-compiled Deluge version previously installed, here is the script I used to remove it. Be careful to not remove the profile (state folder, etc.) of you current setup to not loose anyything. Use it at your own risk

Stop first Deluged/deluge-web:

Code: Select all

sudo rm /usr/bin/delug*
sudo rm -rf /usr/lib/python*/site-packages/delug*
sudo rm -rf /usr/lib/python*/dist-packages/delug*
sudo rm -rf /usr/local/lib/python*/site-packages/delug*
sudo rm -rf /usr/local/lib/python*/dist-packages/delug*
sudo rm -rf /usr/share/deluge/*
sudo rm -rf /usr/local/share/icons/hicolor/*/apps/delug*
sudo rm -rf /usr/share/applications/deluge.desktop
sudo rm -rf /usr/local/share/applications/deluge.desktop
sudo rm /usr/share/pixmaps/deluge.xpm
sudo rm /usr/local/share/pixmaps/delug*
sudo rm -rf /root/.config/delug*
sudo rm -rf /home/*/.config/delug*
sudo rm -rf /usr/local/share/man/*/delug*
Last edited by Cas on Sun Mar 12, 2017 12:17 pm, edited 1 time in total.


Return to “Support”

Who is online

Users browsing this forum: No registered users and 1 guest